class CreateAnnonceMessages < ActiveRecord::Migration
  def change
    create_table :annonce_messages do |t|
      t.string :title
      t.text :message
      t.string :name
      t.string :tel
      t.integer :expediteur_id
      t.string :expediteur_mail
      t.string :destinataire_mail
      t.integer :destinataire_id
      t.references :annonce, index: true
      t.boolean :enabled
      t.boolean :readed

      t.timestamps null: false
    end
    add_foreign_key :annonce_messages, :annonces
  end
end
